Skip to main content
PATCH
/
user
/
my
/
privacy
Update My Privacy
curl --request PATCH \
  --url https://api.example.com/user/my/privacy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "save_conversation_history": true,
  "allow_data_collection": true,
  "allow_personalized_ai": true
}
'
{
  "user_id": 123,
  "save_conversation_history": true,
  "allow_data_collection": true,
  "allow_personalized_ai": true,
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
save_conversation_history
boolean | null
allow_data_collection
boolean | null
allow_personalized_ai
boolean | null

Response

Successful Response

user_id
integer
required
save_conversation_history
boolean
required
allow_data_collection
boolean
required
allow_personalized_ai
boolean
required
updated_at
string<date-time>
required